org.apache.tinkerpop.gremlin.util.function

## Class Lambda.OneArgLambda<A,B>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda
  - - org.apache.tinkerpop.gremlin.util.function.Lambda.OneArgLambda<A,B>

- All Implemented Interfaces:
    Serializable, Consumer<A>, Function<A,B>, Predicate<A>, Lambda
  Direct Known Subclasses:
    Lambda.UnaryLambda
  Enclosing interface:
    Lambda

      public static class Lambda.OneArgLambda<A,B>
      extends Lambda.AbstractLambda
      implements Function<A,B>, Predicate<A>, Consumer<A>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `Lambda.AbstractLambda, Lambda.BinaryLambda<A>, Lambda.OneArgLambda<A,B>, Lambda.TwoArgLambda<A,B,C>, Lambda.UnaryLambda<A>, Lambda.UnknownArgLambda, Lambda.ZeroArgLambda<A>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `DEFAULT_LAMBDA_LANGUAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OneArgLambda(String lambdaSource, String lambdaLanguage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(A a)`
    `B` | `apply(A a)`
    `boolean` | `test(A a)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.util.function.Lambda.AbstractLambda

      `equals, getLambdaArguments, getLambdaLanguage, getLambdaScript, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.util.function.Lambda

      `biFunction, biFunction, binaryOperator, comparator, comparator, consumer, consumer, function, function, predicate, predicate, supplier, supplier, unaryOperator, unaryOperator`

- - ### Constructor Detail

    - #### OneArgLambda

          public OneArgLambda(String lambdaSource,
                              String lambdaLanguage)

  - ### Method Detail

    - #### apply

          public B apply(A a)

      Specified by:
        `apply` in interface `Function<A,B>`

    - #### test

          public boolean test(A a)

      Specified by:
        `test` in interface `Predicate<A>`

    - #### accept

          public void accept(A a)

      Specified by:
        `accept` in interface `Consumer<A>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.